Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.controller.command.response
Class SecurityErrorResponse

    java.lang.Object
      org.jboss.portal.core.controller.ControllerResponse
          org.jboss.portal.core.controller.command.response.ErrorResponse
              org.jboss.portal.core.controller.command.response.SecurityErrorResponse

    public class SecurityErrorResponse

extends ErrorResponse

Version:
  $Revision: 8786 $
Author:
  Julien Viet

Field Summary
`static int` | `NOT_AUTHORIZED` .
`static int` | `NOT_SECURE` .

Constructor Summary
`SecurityErrorResponse(int status, boolean internal)`
`SecurityErrorResponse(java.lang.String message, int status, boolean internal)`
`SecurityErrorResponse(java.lang.Throwable cause, int status, boolean internal)`

Method Summary
`int` | `getStatus()`
`java.lang.String` | `toString()`

Methods inherited from class org.jboss.portal.core.controller.command.response.ErrorResponse
`getCause, getMessage, isInternal`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NOT_AUTHORIZED

    public static final int NOT_AUTHORIZED

  .

  See Also:
    Constant Field Values

### NOT_SECURE

    public static final int NOT_SECURE

  .

  See Also:
    Constant Field Values

Constructor Detail

### SecurityErrorResponse

    public SecurityErrorResponse(int status,
                                 boolean internal)

### SecurityErrorResponse

    public SecurityErrorResponse(java.lang.Throwable cause,
                                 int status,
                                 boolean internal)

### SecurityErrorResponse

    public SecurityErrorResponse(java.lang.String message,
                                 int status,
                                 boolean internal)

Method Detail

### getStatus

    public int getStatus()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `ErrorResponse`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD